summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFrançois Bissey <frp.bissey@gmail.com>2020-12-17 09:49:10 +1300
committerMichael Orlitzky <mjo@gentoo.org>2020-12-16 20:18:15 -0500
commitce8bb0f47c30f54e025afcd122ad8eaa54ea1f07 (patch)
tree1abccddcde7b27b31e44283f25ad145341660d72 /sci-mathematics
parentdev-python/qscintilla-python: add 2.11.6 (diff)
downloadgentoo-ce8bb0f47c30f54e025afcd122ad8eaa54ea1f07.tar.gz
gentoo-ce8bb0f47c30f54e025afcd122ad8eaa54ea1f07.tar.bz2
gentoo-ce8bb0f47c30f54e025afcd122ad8eaa54ea1f07.zip
sci-mathematics/glpk: Upstream bump
Closes: https://github.com/gentoo/gentoo/pull/18685 Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: François René Pierre Bissey <frp.bissey@gmail.com> Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
Diffstat (limited to 'sci-mathematics')
-rw-r--r--sci-mathematics/glpk/Manifest1
-rw-r--r--sci-mathematics/glpk/glpk-5.0.ebuild76
2 files changed, 77 insertions, 0 deletions
diff --git a/sci-mathematics/glpk/Manifest b/sci-mathematics/glpk/Manifest
index 05714aa32b3..30d7dbde93e 100644
--- a/sci-mathematics/glpk/Manifest
+++ b/sci-mathematics/glpk/Manifest
@@ -1 +1,2 @@
DIST glpk-4.65.tar.gz 4167110 BLAKE2B 4ccb5cd8301bdca2ccdecfc1648642afe26ff0a1ee9a75cb5a3906838086e5c41edfb16e7c55f4ad677d192f6a66b866f2d917c5be7103da7141bfb1f74e636b SHA512 997e8e599ff1718a08c66b86eadd0e01f4644899f1e95920f8ae91d66b4d8361021766b346845f4dcbcfe667b41ab72ea3d377017a0ebf85d7ece091cfd81375
+DIST glpk-5.0.tar.gz 4132649 BLAKE2B f8204f66a97af950c13ee72ee9541f305745741d1231325670ede14663cb6c28ec6fbc44b3625973f1924ca078183d1d43f494ad43a7b48b45be131882b00001 SHA512 4e92195fa058c707146f2690f3a38b46c33add948c852f67659ca005a6aa980bbf97be96528b0f8391690facb880ac2126cd60198c6c175e7f3f06cca7e29f9d
diff --git a/sci-mathematics/glpk/glpk-5.0.ebuild b/sci-mathematics/glpk/glpk-5.0.ebuild
new file mode 100644
index 00000000000..83c12e1926e
--- /dev/null
+++ b/sci-mathematics/glpk/glpk-5.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic toolchain-funcs
+
+DESCRIPTION="GNU Linear Programming Kit"
+HOMEPAGE="https://www.gnu.org/software/glpk/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0/40"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-macos"
+IUSE="doc examples gmp odbc mysql"
+
+BDEPEND="virtual/pkgconfig"
+DEPEND="
+ sci-libs/amd:0=
+ sci-libs/colamd:=
+ sys-libs/zlib:0=
+ gmp? ( dev-libs/gmp:0= )
+ mysql? ( dev-db/mysql-connector-c )
+ odbc? (
+ || (
+ dev-db/libiodbc:0
+ dev-db/unixODBC:0
+ )
+ )"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.65-fix-mysql-include-prefix.patch
+ "${FILESDIR}"/${PN}-4.65-debundle-system-libs.patch
+)
+
+src_prepare() {
+ # TODO: the ODBC library is dlopen()ed, so we only want to append
+ # -I<foo> to the preprocessor flags, and not all of the CFLAGS that
+ # were used to build libiodbc. That fix and the pkg-config fallback
+ # should be sent upstream, and placed into CPPFLAGS rather than
+ # CFLAGS (as configure.ac does now).
+ use odbc && [[ -z $(type -P odbc_config) ]] && \
+ append-cppflags $($(tc-getPKG_CONFIG) --cflags libiodbc)
+
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local myconf
+ if use mysql || use odbc; then
+ myconf="--enable-dl"
+ else
+ myconf="--disable-dl"
+ fi
+
+ econf ${myconf} \
+ --disable-static \
+ $(use_enable mysql) \
+ $(use_enable odbc) \
+ $(use_with gmp)
+}
+
+src_install() {
+ default
+ if use examples; then
+ insinto "/usr/share/doc/${PF}"
+ doins -r examples
+ docompress -x "/usr/share/doc/${PF}/examples"
+ fi
+ use doc && dodoc doc/*.pdf doc/notes/*.pdf doc/*.txt
+
+ # no static archives
+ find "${D}" -name '*.la' -delete || die
+}